For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
Getting StartedAPI ReferenceRoadmapBlog
Getting StartedAPI ReferenceRoadmapBlog
    • Resources
    • Authentication
    • Pagination
    • Rate limiting
  • API Keys
    • GETList api keys
    • GETGet api key
    • POSTCreate api key
    • PUTUpdate api key
    • DELDelete api key
  • Environments
    • POSTCreate environment
    • PUTUpdate environment
    • DELDelete environment
  • Plans
    • The Plan object
    • GETList plans
    • GETGet plan
    • POSTCreate plan
    • PUTUpdate plan
    • DELDelete plan
  • Companies
    • The Company object
    • GETList companies
    • POSTUpsert company
    • GETLookup company
    • DELDelete company
    • POSTDelete company by keys
    • GETList company memberships
    • POSTGet or create company membership
    • DELDelete company membership
    • POSTUpsert company trait
  • Users
    • The User object
    • GETList users
    • GETLookup user
    • POSTUpsert user
    • DELDelete user
    • POSTDelete user by keys
    • POSTUpsert user trait
  • Events
    • The Event object
    • GETList events
    • POSTCreate event
    • POSTCreate event batch
    • GETGet event
  • Features
    • The Feature object
    • GETList features
    • GETGet feature
    • POSTCreate feature
    • PUTUpdate feature
    • DELDelete feature
  • Flags
    • The Flag object
    • GETList flags
    • GETGet flag
    • POSTCreate flag
    • PUTUpdate flag
    • DELDelete flag
    • PUTUpdate flag rules
    • POSTCheck flag
    • POSTCheck flags
  • Entitlements
    • GETList company overrides
    • GETGet company override
    • POSTCreate company override
    • PUTUpdate company override
    • DELDelete company override
    • GETList plan entitlements
    • GETGet plan entitlement
    • POSTCreate plan entitlement
    • PUTUpdate plan entitlement
    • DELDelete plan entitlement
  • Feature Usage
    • GETList feature usage
  • Billing Credits
    • GETList credits
    • POSTCreate credit
    • GETGet credit
    • PUTUpdate credit
    • DELDelete credit
    • GETList credit bundles
    • POSTCreate credit bundle
    • GETGet credit bundle
    • PUTUpdate credit bundle
    • DELDelete credit bundle
    • POSTGrant credits to company
    • GETList company credit grants
    • GETList credit grants
    • PUTZero out credit grant
    • GETList plan credit grants
    • POSTCreate plan credit grant
    • DELDelete plan credit grant
    • GETGet credit ledger
  • Account Members
    • GETList account members
    • GETGet account member
LogoLogo
SupportDashboard
Entitlements

List company overrides

GET
https://api.schematichq.com/company-overrides
GET
/company-overrides
1import { SchematicClient } from "@schematichq/schematic-typescript-node";
2
3async function main() {
4 const client = new SchematicClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.entitlements.listCompanyOverrides({});
8}
9main();
1{
2 "data": [
3 {
4 "company_id": "string",
5 "created_at": "2024-01-15T09:30:00Z",
6 "environment_id": "string",
7 "feature_id": "string",
8 "id": "string",
9 "notes": [
10 {
11 "created_at": "2024-01-15T09:30:00Z",
12 "external_user_id": "string",
13 "external_user_name": "string",
14 "id": "string",
15 "note": "string",
16 "updated_at": "2024-01-15T09:30:00Z"
17 }
18 ],
19 "updated_at": "2024-01-15T09:30:00Z",
20 "value_type": "boolean",
21 "company": {
22 "add_ons": [
23 {
24 "id": "string",
25 "included_credit_grants": [
26 {
27 "billing_credit_auto_topup_enabled": true,
28 "billing_credit_auto_topup_self_service": true,
29 "created_at": "2024-01-15T09:30:00Z",
30 "credit_amount": 1,
31 "credit_id": "string",
32 "id": "string",
33 "plan_id": "string",
34 "reset_type": "no_reset",
35 "updated_at": "2024-01-15T09:30:00Z",
36 "credit_description": "string",
37 "credit_name": "string",
38 "billing_credit_auto_topup_amount": 1,
39 "billing_credit_auto_topup_amount_type": "string",
40 "billing_credit_auto_topup_expiry_type": "duration",
41 "billing_credit_auto_topup_expiry_unit": "billing_periods",
42 "billing_credit_auto_topup_expiry_unit_count": 1,
43 "billing_credit_auto_topup_threshold_credits": 1,
44 "billing_credit_auto_topup_threshold_percent": 1,
45 "company_auto_topup_amount": 1,
46 "company_auto_topup_enabled": true,
47 "company_auto_topup_threshold_credits": 1,
48 "credit": {
49 "account_id": "string",
50 "burn_strategy": "expiration_priority",
51 "cost_editable": true,
52 "created_at": "2024-01-15T09:30:00Z",
53 "currency_prices": [
54 {
55 "currency": "string",
56 "price": {
57 "billing_scheme": "per_unit",
58 "created_at": "2024-01-15T09:30:00Z",
59 "currency": "string",
60 "id": "string",
61 "interval": "day",
62 "interval_count": 1,
63 "is_active": true,
64 "package_size": 1,
65 "price": 1,
66 "price_external_id": "string",
67 "price_id": "string",
68 "price_tier": [
69 {
70 "flat_amount": 1,
71 "per_unit_price": 1,
72 "per_unit_price_decimal": "string",
73 "up_to": 1
74 }
75 ],
76 "product_external_id": "string",
77 "product_id": "string",
78 "product_name": "string",
79 "provider_type": "orb",
80 "updated_at": "2024-01-15T09:30:00Z",
81 "usage_type": "licensed",
82 "meter_event_name": "string",
83 "meter_event_payload_key": "string",
84 "meter_id": "string",
85 "nickname": "string",
86 "price_decimal": "string",
87 "tiers_mode": "graduated"
88 }
89 }
90 ],
91 "default_expiry_unit": "billing_periods",
92 "default_rollover_policy": "expire",
93 "description": "string",
94 "environment_id": "string",
95 "id": "string",
96 "name": "string",
97 "updated_at": "2024-01-15T09:30:00Z",
98 "default_expiry_unit_count": 1,
99 "icon": "string",
100 "plural_name": "string",
101 "price": {
102 "billing_scheme": "per_unit",
103 "created_at": "2024-01-15T09:30:00Z",
104 "currency": "string",
105 "id": "string",
106 "interval": "day",
107 "interval_count": 1,
108 "is_active": true,
109 "package_size": 1,
110 "price": 1,
111 "price_external_id": "string",
112 "price_id": "string",
113 "price_tier": [
114 {
115 "flat_amount": 1,
116 "per_unit_price": 1,
117 "per_unit_price_decimal": "string",
118 "up_to": 1
119 }
120 ],
121 "product_external_id": "string",
122 "product_id": "string",
123 "product_name": "string",
124 "provider_type": "orb",
125 "updated_at": "2024-01-15T09:30:00Z",
126 "usage_type": "licensed",
127 "meter_event_name": "string",
128 "meter_event_payload_key": "string",
129 "meter_id": "string",
130 "nickname": "string",
131 "price_decimal": "string",
132 "tiers_mode": "graduated"
133 },
134 "price_per_unit": 1,
135 "price_per_unit_decimal": "string",
136 "product": {
137 "account_id": "string",
138 "created_at": "2024-01-15T09:30:00Z",
139 "environment_id": "string",
140 "external_id": "string",
141 "is_active": true,
142 "name": "string",
143 "price": 1.1,
144 "product_id": "string",
145 "provider_type": "orb",
146 "quantity": 1.1,
147 "updated_at": "2024-01-15T09:30:00Z",
148 "price_decimal": "string",
149 "currency": "string"
150 },
151 "singular_name": "string"
152 },
153 "expiry_type": "duration",
154 "expiry_unit": "billing_periods",
155 "expiry_unit_count": 1,
156 "plan": {
157 "id": "string",
158 "name": "string",
159 "description": "string",
160 "image_url": "string"
161 },
162 "plan_version_id": "string",
163 "reset_cadence": "daily",
164 "reset_start": "billing_period",
165 "credit_icon": "string",
166 "plural_name": "string",
167 "singular_name": "string"
168 }
169 ],
170 "name": "string",
171 "added_on": "2024-01-15T09:30:00Z",
172 "billing_product_external_id": "string",
173 "billing_product_id": "string",
174 "description": "string",
175 "image_url": "string",
176 "plan_period": "string",
177 "plan_price": 1,
178 "plan_version_id": "string"
179 }
180 ],
181 "billing_subscriptions": [
182 {
183 "cancel_at_period_end": true,
184 "created_at": "2024-01-15T09:30:00Z",
185 "currency": "string",
186 "customer_external_id": "string",
187 "discounts": [
188 {
189 "coupon_id": "string",
190 "coupon_name": "string",
191 "discount_external_id": "string",
192 "duration": "string",
193 "is_active": true,
194 "started_at": "2024-01-15T09:30:00Z",
195 "subscription_external_id": "string",
196 "amount_off": 1,
197 "currency": "string",
198 "customer_facing_code": "string",
199 "duration_in_months": 1,
200 "ended_at": "2024-01-15T09:30:00Z",
201 "percent_off": 1.1,
202 "promo_code_external_id": "string"
203 }
204 ],
205 "id": "string",
206 "interval": "string",
207 "period_end": 1,
208 "period_start": 1,
209 "products": [
210 {
211 "billing_scheme": "per_unit",
212 "created_at": "2024-01-15T09:30:00Z",
213 "currency": "string",
214 "environment_id": "string",
215 "external_id": "string",
216 "id": "string",
217 "interval": "string",
218 "name": "string",
219 "package_size": 1,
220 "price": 1,
221 "price_external_id": "string",
222 "price_id": "string",
223 "price_tier": [
224 {
225 "flat_amount": 1,
226 "per_unit_price": 1,
227 "per_unit_price_decimal": "string",
228 "up_to": 1
229 }
230 ],
231 "provider_type": "orb",
232 "quantity": 1.1,
233 "subscription_id": "string",
234 "updated_at": "2024-01-15T09:30:00Z",
235 "usage_type": "licensed",
236 "billing_threshold": 1,
237 "interval_count": 1,
238 "meter_id": "string",
239 "price_decimal": "string",
240 "subscription_item_external_id": "string"
241 }
242 ],
243 "provider_type": "orb",
244 "status": "string",
245 "subscription_external_id": "string",
246 "total_price": 1,
247 "application_id": "string",
248 "cancel_at": 1,
249 "company_id": "string",
250 "default_payment_method_id": "string",
251 "expired_at": "2024-01-15T09:30:00Z",
252 "latest_invoice": {
253 "amount_due": 1,
254 "amount_paid": 1,
255 "amount_remaining": 1,
256 "collection_method": "string",
257 "created_at": "2024-01-15T09:30:00Z",
258 "currency": "string",
259 "customer_external_id": "string",
260 "environment_id": "string",
261 "id": "string",
262 "provider_type": "orb",
263 "subtotal": 1,
264 "updated_at": "2024-01-15T09:30:00Z",
265 "company_id": "string",
266 "due_date": "2024-01-15T09:30:00Z",
267 "external_id": "string",
268 "payment_method_external_id": "string",
269 "status": "draft",
270 "subscription_external_id": "string",
271 "url": "string"
272 },
273 "metadata": {},
274 "payment_method": {
275 "created_at": "2024-01-15T09:30:00Z",
276 "customer_external_id": "string",
277 "environment_id": "string",
278 "external_id": "string",
279 "id": "string",
280 "payment_method_type": "string",
281 "provider_type": "orb",
282 "updated_at": "2024-01-15T09:30:00Z",
283 "account_last4": "string",
284 "account_name": "string",
285 "bank_name": "string",
286 "billing_email": "string",
287 "billing_name": "string",
288 "card_brand": "string",
289 "card_exp_month": 1,
290 "card_exp_year": 1,
291 "card_last4": "string",
292 "company_id": "string"
293 },
294 "trial_end": 1,
295 "trial_end_setting": "cancel"
296 }
297 ],
298 "created_at": "2024-01-15T09:30:00Z",
299 "custom_plan_billings": [
300 {
301 "activation_strategy": "on_payment",
302 "company_id": "string",
303 "created_at": "2024-01-15T09:30:00Z",
304 "days_until_due": 1,
305 "id": "string",
306 "plan_id": "string",
307 "status": "active",
308 "updated_at": "2024-01-15T09:30:00Z",
309 "paid_at": "2024-01-15T09:30:00Z",
310 "published_at": "2024-01-15T09:30:00Z",
311 "stripe_invoice_url": "string"
312 }
313 ],
314 "entitlements": [
315 {
316 "feature_id": "string",
317 "feature_key": "string",
318 "value_type": "boolean",
319 "allocation": 1,
320 "credit_id": "string",
321 "credit_remaining": 1.1,
322 "credit_total": 1.1,
323 "credit_used": 1.1,
324 "event_name": "string",
325 "metric_period": "all_time",
326 "metric_reset_at": "2024-01-15T09:30:00Z",
327 "month_reset": "billing_cycle",
328 "soft_limit": 1,
329 "usage": 1
330 }
331 ],
332 "entity_traits": [
333 {
334 "created_at": "2024-01-15T09:30:00Z",
335 "definition_id": "string",
336 "environment_id": "string",
337 "id": "string",
338 "updated_at": "2024-01-15T09:30:00Z",
339 "value": "string",
340 "definition": {
341 "created_at": "2024-01-15T09:30:00Z",
342 "display_name": "string",
343 "entity_type": "company",
344 "hierarchy": [
345 "string"
346 ],
347 "id": "string",
348 "trait_type": "boolean",
349 "updated_at": "2024-01-15T09:30:00Z"
350 }
351 }
352 ],
353 "environment_id": "string",
354 "id": "string",
355 "keys": [
356 {
357 "created_at": "2024-01-15T09:30:00Z",
358 "definition_id": "string",
359 "entity_id": "string",
360 "entity_type": "company",
361 "environment_id": "string",
362 "id": "string",
363 "key": "string",
364 "updated_at": "2024-01-15T09:30:00Z",
365 "value": "string",
366 "definition": {
367 "created_at": "2024-01-15T09:30:00Z",
368 "entity_type": "company",
369 "id": "string",
370 "key": "string",
371 "updated_at": "2024-01-15T09:30:00Z"
372 }
373 }
374 ],
375 "metrics": [
376 {
377 "account_id": "string",
378 "captured_at_max": "2024-01-15T09:30:00Z",
379 "captured_at_min": "2024-01-15T09:30:00Z",
380 "company_id": "string",
381 "created_at": "2024-01-15T09:30:00Z",
382 "environment_id": "string",
383 "event_subtype": "string",
384 "month_reset": "billing_cycle",
385 "period": "all_time",
386 "value": 1,
387 "valid_until": "2024-01-15T09:30:00Z"
388 }
389 ],
390 "name": "string",
391 "payment_methods": [
392 {
393 "created_at": "2024-01-15T09:30:00Z",
394 "customer_external_id": "string",
395 "environment_id": "string",
396 "external_id": "string",
397 "id": "string",
398 "payment_method_type": "string",
399 "provider_type": "orb",
400 "updated_at": "2024-01-15T09:30:00Z",
401 "account_last4": "string",
402 "account_name": "string",
403 "bank_name": "string",
404 "billing_email": "string",
405 "billing_name": "string",
406 "card_brand": "string",
407 "card_exp_month": 1,
408 "card_exp_year": 1,
409 "card_last4": "string",
410 "company_id": "string"
411 }
412 ],
413 "plans": [
414 {
415 "id": "string",
416 "name": "string",
417 "description": "string",
418 "image_url": "string"
419 }
420 ],
421 "rules": [
422 {
423 "account_id": "string",
424 "condition_groups": [
425 {
426 "conditions": [
427 {
428 "account_id": "string",
429 "condition_type": "base_plan",
430 "environment_id": "string",
431 "id": "string",
432 "operator": "eq",
433 "resource_ids": [
434 "string"
435 ],
436 "trait_value": "string",
437 "comparison_trait_definition": {
438 "comparable_type": "bool",
439 "entity_type": "company",
440 "id": "string"
441 },
442 "consumption_rate": 1.1,
443 "credit_id": "string",
444 "event_subtype": "string",
445 "metric_period": "all_time",
446 "metric_period_month_reset": "billing_cycle",
447 "metric_value": 1,
448 "trait_definition": {
449 "comparable_type": "bool",
450 "entity_type": "company",
451 "id": "string"
452 }
453 }
454 ]
455 }
456 ],
457 "conditions": [
458 {
459 "account_id": "string",
460 "condition_type": "base_plan",
461 "environment_id": "string",
462 "id": "string",
463 "operator": "eq",
464 "resource_ids": [
465 "string"
466 ],
467 "trait_value": "string",
468 "comparison_trait_definition": {
469 "comparable_type": "bool",
470 "entity_type": "company",
471 "id": "string"
472 },
473 "consumption_rate": 1.1,
474 "credit_id": "string",
475 "event_subtype": "string",
476 "metric_period": "all_time",
477 "metric_period_month_reset": "billing_cycle",
478 "metric_value": 1,
479 "trait_definition": {
480 "comparable_type": "bool",
481 "entity_type": "company",
482 "id": "string"
483 }
484 }
485 ],
486 "environment_id": "string",
487 "id": "string",
488 "name": "string",
489 "priority": 1,
490 "rule_type": "company_override",
491 "value": true,
492 "flag_id": "string"
493 }
494 ],
495 "updated_at": "2024-01-15T09:30:00Z",
496 "user_count": 1,
497 "billing_credit_balances": {},
498 "billing_subscription": {
499 "cancel_at_period_end": true,
500 "created_at": "2024-01-15T09:30:00Z",
501 "currency": "string",
502 "customer_external_id": "string",
503 "discounts": [
504 {
505 "coupon_id": "string",
506 "coupon_name": "string",
507 "discount_external_id": "string",
508 "duration": "string",
509 "is_active": true,
510 "started_at": "2024-01-15T09:30:00Z",
511 "subscription_external_id": "string",
512 "amount_off": 1,
513 "currency": "string",
514 "customer_facing_code": "string",
515 "duration_in_months": 1,
516 "ended_at": "2024-01-15T09:30:00Z",
517 "percent_off": 1.1,
518 "promo_code_external_id": "string"
519 }
520 ],
521 "id": "string",
522 "interval": "string",
523 "period_end": 1,
524 "period_start": 1,
525 "products": [
526 {
527 "billing_scheme": "per_unit",
528 "created_at": "2024-01-15T09:30:00Z",
529 "currency": "string",
530 "environment_id": "string",
531 "external_id": "string",
532 "id": "string",
533 "interval": "string",
534 "name": "string",
535 "package_size": 1,
536 "price": 1,
537 "price_external_id": "string",
538 "price_id": "string",
539 "price_tier": [
540 {
541 "flat_amount": 1,
542 "per_unit_price": 1,
543 "per_unit_price_decimal": "string",
544 "up_to": 1
545 }
546 ],
547 "provider_type": "orb",
548 "quantity": 1.1,
549 "subscription_id": "string",
550 "updated_at": "2024-01-15T09:30:00Z",
551 "usage_type": "licensed",
552 "billing_threshold": 1,
553 "interval_count": 1,
554 "meter_id": "string",
555 "price_decimal": "string",
556 "subscription_item_external_id": "string"
557 }
558 ],
559 "provider_type": "orb",
560 "status": "string",
561 "subscription_external_id": "string",
562 "total_price": 1,
563 "application_id": "string",
564 "cancel_at": 1,
565 "company_id": "string",
566 "default_payment_method_id": "string",
567 "expired_at": "2024-01-15T09:30:00Z",
568 "latest_invoice": {
569 "amount_due": 1,
570 "amount_paid": 1,
571 "amount_remaining": 1,
572 "collection_method": "string",
573 "created_at": "2024-01-15T09:30:00Z",
574 "currency": "string",
575 "customer_external_id": "string",
576 "environment_id": "string",
577 "id": "string",
578 "provider_type": "orb",
579 "subtotal": 1,
580 "updated_at": "2024-01-15T09:30:00Z",
581 "company_id": "string",
582 "due_date": "2024-01-15T09:30:00Z",
583 "external_id": "string",
584 "payment_method_external_id": "string",
585 "status": "draft",
586 "subscription_external_id": "string",
587 "url": "string"
588 },
589 "metadata": {},
590 "payment_method": {
591 "created_at": "2024-01-15T09:30:00Z",
592 "customer_external_id": "string",
593 "environment_id": "string",
594 "external_id": "string",
595 "id": "string",
596 "payment_method_type": "string",
597 "provider_type": "orb",
598 "updated_at": "2024-01-15T09:30:00Z",
599 "account_last4": "string",
600 "account_name": "string",
601 "bank_name": "string",
602 "billing_email": "string",
603 "billing_name": "string",
604 "card_brand": "string",
605 "card_exp_month": 1,
606 "card_exp_year": 1,
607 "card_last4": "string",
608 "company_id": "string"
609 },
610 "trial_end": 1,
611 "trial_end_setting": "cancel"
612 },
613 "default_payment_method": {
614 "created_at": "2024-01-15T09:30:00Z",
615 "customer_external_id": "string",
616 "environment_id": "string",
617 "external_id": "string",
618 "id": "string",
619 "payment_method_type": "string",
620 "provider_type": "orb",
621 "updated_at": "2024-01-15T09:30:00Z",
622 "account_last4": "string",
623 "account_name": "string",
624 "bank_name": "string",
625 "billing_email": "string",
626 "billing_name": "string",
627 "card_brand": "string",
628 "card_exp_month": 1,
629 "card_exp_year": 1,
630 "card_last4": "string",
631 "company_id": "string"
632 },
633 "last_seen_at": "2024-01-15T09:30:00Z",
634 "logo_url": "string",
635 "plan": {
636 "id": "string",
637 "included_credit_grants": [
638 {
639 "billing_credit_auto_topup_enabled": true,
640 "billing_credit_auto_topup_self_service": true,
641 "created_at": "2024-01-15T09:30:00Z",
642 "credit_amount": 1,
643 "credit_id": "string",
644 "id": "string",
645 "plan_id": "string",
646 "reset_type": "no_reset",
647 "updated_at": "2024-01-15T09:30:00Z",
648 "credit_description": "string",
649 "credit_name": "string",
650 "billing_credit_auto_topup_amount": 1,
651 "billing_credit_auto_topup_amount_type": "string",
652 "billing_credit_auto_topup_expiry_type": "duration",
653 "billing_credit_auto_topup_expiry_unit": "billing_periods",
654 "billing_credit_auto_topup_expiry_unit_count": 1,
655 "billing_credit_auto_topup_threshold_credits": 1,
656 "billing_credit_auto_topup_threshold_percent": 1,
657 "company_auto_topup_amount": 1,
658 "company_auto_topup_enabled": true,
659 "company_auto_topup_threshold_credits": 1,
660 "credit": {
661 "account_id": "string",
662 "burn_strategy": "expiration_priority",
663 "cost_editable": true,
664 "created_at": "2024-01-15T09:30:00Z",
665 "currency_prices": [
666 {
667 "currency": "string",
668 "price": {
669 "billing_scheme": "per_unit",
670 "created_at": "2024-01-15T09:30:00Z",
671 "currency": "string",
672 "id": "string",
673 "interval": "day",
674 "interval_count": 1,
675 "is_active": true,
676 "package_size": 1,
677 "price": 1,
678 "price_external_id": "string",
679 "price_id": "string",
680 "price_tier": [
681 {
682 "flat_amount": 1,
683 "per_unit_price": 1,
684 "per_unit_price_decimal": "string",
685 "up_to": 1
686 }
687 ],
688 "product_external_id": "string",
689 "product_id": "string",
690 "product_name": "string",
691 "provider_type": "orb",
692 "updated_at": "2024-01-15T09:30:00Z",
693 "usage_type": "licensed",
694 "meter_event_name": "string",
695 "meter_event_payload_key": "string",
696 "meter_id": "string",
697 "nickname": "string",
698 "price_decimal": "string",
699 "tiers_mode": "graduated"
700 }
701 }
702 ],
703 "default_expiry_unit": "billing_periods",
704 "default_rollover_policy": "expire",
705 "description": "string",
706 "environment_id": "string",
707 "id": "string",
708 "name": "string",
709 "updated_at": "2024-01-15T09:30:00Z",
710 "default_expiry_unit_count": 1,
711 "icon": "string",
712 "plural_name": "string",
713 "price": {
714 "billing_scheme": "per_unit",
715 "created_at": "2024-01-15T09:30:00Z",
716 "currency": "string",
717 "id": "string",
718 "interval": "day",
719 "interval_count": 1,
720 "is_active": true,
721 "package_size": 1,
722 "price": 1,
723 "price_external_id": "string",
724 "price_id": "string",
725 "price_tier": [
726 {
727 "flat_amount": 1,
728 "per_unit_price": 1,
729 "per_unit_price_decimal": "string",
730 "up_to": 1
731 }
732 ],
733 "product_external_id": "string",
734 "product_id": "string",
735 "product_name": "string",
736 "provider_type": "orb",
737 "updated_at": "2024-01-15T09:30:00Z",
738 "usage_type": "licensed",
739 "meter_event_name": "string",
740 "meter_event_payload_key": "string",
741 "meter_id": "string",
742 "nickname": "string",
743 "price_decimal": "string",
744 "tiers_mode": "graduated"
745 },
746 "price_per_unit": 1,
747 "price_per_unit_decimal": "string",
748 "product": {
749 "account_id": "string",
750 "created_at": "2024-01-15T09:30:00Z",
751 "environment_id": "string",
752 "external_id": "string",
753 "is_active": true,
754 "name": "string",
755 "price": 1.1,
756 "product_id": "string",
757 "provider_type": "orb",
758 "quantity": 1.1,
759 "updated_at": "2024-01-15T09:30:00Z",
760 "price_decimal": "string",
761 "currency": "string"
762 },
763 "singular_name": "string"
764 },
765 "expiry_type": "duration",
766 "expiry_unit": "billing_periods",
767 "expiry_unit_count": 1,
768 "plan": {
769 "id": "string",
770 "name": "string",
771 "description": "string",
772 "image_url": "string"
773 },
774 "plan_version_id": "string",
775 "reset_cadence": "daily",
776 "reset_start": "billing_period",
777 "credit_icon": "string",
778 "plural_name": "string",
779 "singular_name": "string"
780 }
781 ],
782 "name": "string",
783 "added_on": "2024-01-15T09:30:00Z",
784 "billing_product_external_id": "string",
785 "billing_product_id": "string",
786 "description": "string",
787 "image_url": "string",
788 "plan_period": "string",
789 "plan_price": 1,
790 "plan_version_id": "string"
791 },
792 "scheduled_downgrade": {
793 "currency": "string",
794 "effective_after": "2024-01-15T09:30:00Z",
795 "from_plan_id": "string",
796 "from_plan_name": "string",
797 "from_subscription_price": 1,
798 "id": "string",
799 "interval": "string",
800 "to_plan_id": "string",
801 "to_plan_name": "string",
802 "scheduled_interval": "string",
803 "scheduled_price": 1
804 },
805 "traits": {}
806 },
807 "consumption_rate": 1.1,
808 "expiration_date": "2024-01-15T09:30:00Z",
809 "feature": {
810 "created_at": "2024-01-15T09:30:00Z",
811 "description": "string",
812 "feature_type": "boolean",
813 "icon": "string",
814 "id": "string",
815 "name": "string",
816 "updated_at": "2024-01-15T09:30:00Z",
817 "event_subtype": "string",
818 "lifecycle_phase": "add_on",
819 "maintainer_account_member_id": "string",
820 "plural_name": "string",
821 "singular_name": "string",
822 "trait_id": "string"
823 },
824 "metric_period": "all_time",
825 "metric_period_month_reset": "billing_cycle",
826 "rule_id": "string",
827 "rule_id_usage_exceeded": "string",
828 "value_bool": true,
829 "value_numeric": 1,
830 "value_trait": {
831 "created_at": "2024-01-15T09:30:00Z",
832 "display_name": "string",
833 "entity_type": "company",
834 "hierarchy": [
835 "string"
836 ],
837 "id": "string",
838 "trait_type": "boolean",
839 "updated_at": "2024-01-15T09:30:00Z"
840 },
841 "value_trait_id": "string"
842 }
843 ],
844 "params": {
845 "company_id": "string",
846 "company_ids": [
847 "string"
848 ],
849 "feature_id": "string",
850 "feature_ids": [
851 "string"
852 ],
853 "ids": [
854 "string"
855 ],
856 "limit": 100,
857 "offset": 0,
858 "q": "string",
859 "without_expired": true
860 }
861}
Was this page helpful?
Previous

Get company override

Next
Built with

Authentication

X-Schematic-Api-Keystring
API Key authentication via header

Query parameters

company_idstringOptional

Filter company overrides by a single company ID (starting with comp_)

company_idslist of stringsOptional

Filter company overrides by multiple company IDs (starting with comp_)

feature_idstringOptional

Filter company overrides by a single feature ID (starting with feat_)

feature_idslist of stringsOptional

Filter company overrides by multiple feature IDs (starting with feat_)

idslist of stringsOptional

Filter company overrides by multiple company override IDs (starting with cmov_)

without_expiredbooleanOptional
Filter company overrides by whether they have not expired
qstringOptional
Search for company overrides by feature or company name
limitlongOptional

Page limit (default 100)

offsetlongOptional

Page offset (default 0)

Response

OK
datalist of objects
paramsobject
Input parameters

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error